package com.yh.saas.plugin.yiliangyiyun.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.yh.saas.plugin.yiliangyiyun.entity.AcquisitionInfo;
import com.baomidou.mybatisplus.service.IService;
import com.yh.saas.plugin.yiliangyiyun.entity.ProcurementPlanInfo;

import java.util.List;

/**
 * <p>
 * 记录收购信息 服务类
 * </p>
 *
 * @author Gdc
 * @since 2021-11-26
 */
public interface IAcquisitionInfoService extends IService<AcquisitionInfo> {
    /**
     * 添加收购信息
     * @param  acquisitionInfo
     */
    String addAcquisition(AcquisitionInfo acquisitionInfo);

    /**
     * 收购信息列表
     * @param
     */
    List<AcquisitionInfo> selectAcquisitionPage(AcquisitionInfo acquisitionInfo);

    /**
     * 关注
     * @param  acquisitionInfo
     */
    String follow(AcquisitionInfo acquisitionInfo);

    /**
     * 取消关注
     * @param  acquisitionInfo
     */
    String followNot(AcquisitionInfo acquisitionInfo);

    /**
     * 查看收购信息
     * @param  id
     */
    AcquisitionInfo getAcquisition(String id);

    /**
     * 收购业务查看
     * @param  acquisitionInfo
     */
    AcquisitionInfo getInfo(AcquisitionInfo acquisitionInfo);

    /**
     * 审核
     *
     * @param acquisitionInfo
     * @return
     */
    String examine(AcquisitionInfo acquisitionInfo);

}
